export const apiurl = {
  //反馈
  feedbackAddUrl: '/client/articleFeedback/add',
  // 获取微信用户信息
  getuseinfourl: '/client/wechat/h5/user',
  // 公众号支付
  payurl: '/client/app/pay',
  // 创建订单
  createOrderurl: '/client/order/createOrder',
  // 退款(路段退款)
  refundurl: '/client/app/order/refund',
  // 绑定手机号
  bindphoneurl: '/client/app/order/refund2',
  // 手机登录验证码
  phoneLoginCodeUrl: '/client/auth/sendSmsCode',
  // 手机登录验证码验证
  phoneLoginAuthUrl: '/client/auth/verifyCode',
  // code换取微信信息
  getWXInfoUrl: '/client/wechat/h5/code/',
  // code换取微信信息(不包括用户名和头像)
  getWxOpenidUrl: '/client/wechat/h5/code/noUser/',
  // 微信支付 在pay.js中使用
  wxPayUrl: '/client/wechat/pay',
  // 客户端首页
  getIndexDataUrl: '/client/index',
  //获取路段信息
  roadInfoById: '/client/roadinfo/selectById/',
  // 用户车辆
  mycarsUrl: '/client/membervehicle',
  // 设置为默认车辆
  setDefaultCarUrl: '/client/membervehicle/modifyDefault/',
  //室内停车订单列表
  getRoomparkingList: '/client/parking-orderinfo/pageList',
  // 获取订单列表
  getOrderListUrl: '/client/orderinfo',
  // 获取支付订单详情
  getOrderinfoUrl: '/client/orderinfo/paydetail/',
  // 获取订单详情
  getOrderDetailUrl: '/client/orderinfo/detail/',
  getRoomOrderDetailUrl: '/client/parking-orderinfo/detail/',
  //获取信息列表
  getMessageListUrl: '/client/membernews',
  //消息已读接口
  messageReadUrl: '/client/membernews/read/',
  // 获取附近的路段
  nearRoadslUrl: '/client/roadinfo/nearRoads',
  // 获取路段收费规则
  roadsChargeRuleUrl: '/client/roadinfo/feeRule/',
  // 获取附近的停车场
  nearParkingLotUrl: '/client/parkingInfo/pageList',
  // 获取停车场收费规则
  parkingLotChargeRuleUrl: '/client/parkingInfo/feeRule/',
  //包月信息
  monthInfoUrl: '/client/memberinfo/monthInfo',
  //创建包月
  createMonthUrl: '/client/memberinfo/createMonth',
  //包月支付
  monthPayUrl: '/client/monthpay/gzbank/quick',
  //包月支付查询
  getMonthPayUrl: '/client/monthpay/query/',
  //包月列表
  getMonthListUrl: '/client/memberinfo/monthList',
  // 停车场包月列表
  getParkMonthListUrl: '/client/memberinfo/monthList',
  //取消包月订单
  cancelMonthUrl: '/client/memberinfo/cancelMonth/',

  //启动无感支付
  feePayUrl: '/client/membervehicle/enable/feepay/',
  //贵州银行快捷支付
  payGzbankUrl: '/client/pay/gzbank/quick',

  // 贵州银行支付
  gzbankurl: '/client/gzbank/paygate',
  // 订单查询
  getOrderInfoApi: '/client/pay/query/',
  // 查询设备状态
  getEqupmentStatusApi: '/client/hardware/deviceInfo/',
  // 订单退款(路段)
  updateOrderRefundApi: '/client/orderinfo/refundApply',
  // 订单退款(停车场)
  updateParkOrderRefundApi: '/client/orderinfo/refundApply',
  // 获取退款详情
  getOrderRefundDetailsApi: '/client/orderinfo/refund/detail/',
  // 普通微信支付
  ordinaryWxPayApi: '/client/pay/gzbank/poly',
  // 包月微信支付
  monthlyWxPayApi: '/client/monthpay/gzbank/poly',
  // 获取条款须知
  getSystermsApi: '/client/systerms/getByType/',
  //车位锁新增车牌信息
  bindVehicleNoApi: '/client/orderinfo/bindVehicleNo',
  // 第二版本验证码
  codeV2Url: {
    // 发送验证码V2
    sendSmsCodeV2Url: '/client/auth/sendSmsCodeV2',
    // 验证短信验证码V2
    verifyCodeV2Url: '/client/auth/verifyCodeV2',
    // 登出
    logoutUrl: '/client/auth/loginout'
  },
  // 用户登录区分手机号和微信openid登录
  userLoginUrl: {
    // openid登录
    openidLoginUrl: '/client/auth/loginToWxOpenId',
    // 发送验证码
    sendSmsCodeUrl: '/client/auth/sendSmsCodeV3',
    // 手机号登录
    mobileLoginUrl: '/client/auth/loginToMobile'
  },
  // 地磁获取小票详情
  geomaLockDetailsUrl: '/client/orderinfo/detailByQrcode',
  //入场扫码信息
  getDetailEntrance: '/client/parking-orderinfo/detail/entrance',
  //场内码扫码信息
  getDetailAdvance: '/client/parking-orderinfo/detail/advance',
  //出场码扫码信息
  getDetailExport: '/client/parking-orderinfo/detail/export',
  //无牌入场
  entranceByNoVehicle: '/client/parking-orderinfo/entrance/noVehicleNo',
  //场内车牌查询订单信息
  getAdvanceInfo: '/client/parking-orderinfo/advance/info-by-vehicle',
  //出场页面信息
  getExportInfo: '/client/parking-orderinfo/export/info',
  // 出场支付状态查询
  getOrderStateExportUrl: '/client/payment/parking/query',
  // 出场快捷支付
  quickPayExportUrl: '/client/payment/parking/gzbank/quick',
  // 出场聚合支付
  polyPayExportUrl: '/client/payment/parking/gzbank/poly',
  // 获取数据字典接口
  getDictUrl: '/admin/dict/data/type/',
  // 微信支付
  wechatPayUrl: '/client/pay/wechat',
  // 停车场微信支付
  parkingWechatPayUrl: '/client/payment/parking/wechat',
  // 获取参数
  getParamsUrl: '/admin/config/configKey/',
  // 微信包月支付
  wechatMonthlyPayUrl: '/client/monthpay/wechat',
  // 包月规则详情
  monthlyRuleDetailsUrl: '/admin/feemonthrule',
  // 查询优惠券列表
  couponListUrl: '/client/couponInfo/couponList',
  // 兑换优惠券
  exchangeCouponUrl: '/client/couponInfo/couponExchange',
  // 根据订单号刷新优惠券状态(用于取消支付情况)
  updateCouponStatusUrl: '/client/couponInfo/backCoupon',
  // 根据订单id获取符合要求的优惠券
  getCouponByOrderIdUrl: '/client/couponInfo/memberCoupon',
  // 根据室内停车场二维码查询车辆列表信息
  getVehicleInquiryListUrl: '/client/parking-orderinfo/detail/advance',
  // 根据停车场编号和车牌查询订单
  getOrderInfoByParknoUrl: '/client/parking-orderinfo/advance/getOrderInfo',
  // 停车场支付
  indoorPaymentUrl: '/client/payment/parking/gotoPay',
  // 广告模块
  adBannerModule: {
    // 获取广告列表
    getAdBannerListUrl: '/admin/advertInfo',
    // 获取广告详情
    getAdBannerDetailsUrl: '/admin/advertInfo/detail'
  },
  // 发票模块
  invoiceModule: {
    // 获取符合发票订单
    getInvoiceOrderListUrl: '/client/orderInvo/order/list',
    // 获取发票列表
    getInvoiceListUrl: '/client/orderInvo/list',
    // 新增发票
    addInvoiceUrl: '/client/orderInvo',
    // 修改发票
    updateInvoiceUrl: '/',
    // 删除发票
    deleteInvoiceUrl: '/',
    // 获取发票详情
    getInvoiceDetailsUrl: '/client/orderInvo/',
    // 获取发票开头列表
    getInvoiceHeadListUrl: '/client/orderInvoHead/list',
    // 获取发票开头下拉
    getInvoiceHeadSelectUrl: '/client/orderInvoHead/select',
    // 获取发票开头详情
    getInvoiceHeadDetailsUrl: '/client/orderInvoHead/',
    // 新增发票开头
    addInvoiceHeaderUrl: '/client/orderInvoHead',
    // 修改发票开头
    updateInvoiceHeaderUrl: '/client/orderInvoHead',
    // 删除发票开头
    deleteInvoiceHeaderUrl: '/client/orderInvoHead/',
  },
  // 道闸出入场获取验证码
  gateCodeModule: {
    // 获取道闸入场验证码
    getGateCodeUrl: ''
  }
};
