/**
 * 在package.json中定义的H_NODE_ENV
 * 在本地运行该环境为未定义,设置初始baseUrl
 * 只有在打包环境下才会有H_NODE_ENV
 */
const node_dev = process.env.H_NODE_ENV;
let baseUrl = 'https://wx.hw.hongweisoft.com/parking', // 默认为普定测试环境
  // wxAppid = 'wx6e9cdf7a0ee8a51b', // 默认为达泽公众号appid
  wxAppid = 'wx45c3cf2b632f5fd5', // 默认为普定正式appid
  projectFlag = 'puding';

if (node_dev) {
  (baseUrl = process.env.H_BASE_URL), (wxAppid = process.env.H_WXAPPID), (projectFlag = process.env.H_PROJECT);
}
export const config = {
  wxAppid,
  baseUrl,
  projectFlag,
  onlyWxLogin: [
    'pages/parkingLock/parkingLock', // 车位锁
    'pages/wechatLogin/wechatLogin', // 微信登录
    'pages/VehicleInquiry/VehicleInquiry', // 车费查询
    'pages/OnsitePayment/OnsitePayment', // 停车场
    'pages/parkadvance/parkadvance', // 场内扫码
    'pages/parkexport/parkexport', // 出口扫码
    'pages/parkroadgate/parkroadgate', // 道闸
    'pages/roadGateSystem/roadGateSystem', // 道闸系统
    'pages/parkentrace/parkentrace', // 入口扫码
    'pages/geomagnetismLock/geomagnetismLock', // 地磁
		'pages/center/phoneLogin/phoneLogin' // 手机号登录
  ] // 只需要微信登录的页面路径
};
